feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Imperative.FromCore

# Documentation

class Compilable t where

Methods

toImperativeM

Arguments

:: String | Name of procedure
-> [Variable ()] | Free variables
-> t | Program to compile
-> Transformer () |

buildInParamDescriptor :: t -> [Int]

Returns a list containing the number of edges in each curried argument

Instances

Syntactic a => Compilable a |
(Syntactic a, Compilable t) => Compilable (a -> t) |

numArgs :: Compilable a => a -> Int

fromCore :: Compilable t => String -> t -> Module ()